> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeblast.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Orders

> Get all the orders from your chargeblast account. Receipt info is omitted from this endpoint.



## OpenAPI

````yaml get /api/v2/orders
openapi: 3.0.1
info:
  title: Chargeblast API
  version: 0.1.0
servers:
  - url: https://api.chargeblast.com
security: []
tags:
  - name: Credit Requests
  - name: Sync Data
  - name: Alerts
  - name: Disputes
  - name: Enrollment
paths:
  /api/v2/orders:
    get:
      tags:
        - Orders
      summary: Fetch Orders
      description: >-
        Get all the orders from your chargeblast account. Receipt info is
        omitted from this endpoint.
      operationId: orders2
      parameters:
        - name: page
          required: false
          in: query
          schema:
            format: int64
            nullable: true
            type: integer
          description: The starting page of the request. Default value of 1.
        - name: per
          required: false
          in: query
          schema:
            format: int64
            nullable: true
            type: integer
          description: How many objects to request per page. Default value of 10.
        - name: X-API-Key
          required: true
          in: header
          schema:
            type: string
          description: Your API key. Sent in the `X-API-Key` header.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIOrdersResponse'
          description: OK
components:
  schemas:
    APIOrdersResponse:
      required:
        - orders
        - page
        - per
        - total
      properties:
        total:
          type: integer
          format: int64
        page:
          type: integer
          format: int64
        per:
          type: integer
          format: int64
        orders:
          type: array
          items:
            type: string
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.